From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/bison/
Date: Fri, 31 Aug 2018 02:10:08 +0000 (UTC) [thread overview]
Message-ID: <1535681299.01342dcfcd34c8b03fb244258ed1a9c8cf055cfd.whissi@gentoo> (raw)
commit: 01342dcfcd34c8b03fb244258ed1a9c8cf055cfd
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 31 01:51:54 2018 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Aug 31 02:08:19 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01342dcf
sys-devel/bison: bump to v3.1
Package-Manager: Portage-2.3.48, Repoman-2.3.10
sys-devel/bison/Manifest | 2 +
sys-devel/bison/bison-3.1.ebuild | 91 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 93 insertions(+)
diff --git a/sys-devel/bison/Manifest b/sys-devel/bison/Manifest
index 4034fca9cfc..3c5ad4be51d 100644
--- a/sys-devel/bison/Manifest
+++ b/sys-devel/bison/Manifest
@@ -3,3 +3,5 @@ DIST bison-3.0.4-patchset.tar.xz 8216 BLAKE2B dd059a7a24faf351fa28bc72b6e183935d
DIST bison-3.0.4.tar.xz 1973796 BLAKE2B 6320424a5fece04734325226981af287e5745c898df7f0f79c26207599227f40e9ef54f93b2e231e20766ab9a19c0b266545bc5d0bfeabbb958e3e2f6686386c SHA512 bbdc23e7772e49da1c7c47e66d4e4efbfbfe9b21dbc59bf3ad9a6e573eecac6c9f52c7f11a64be9897e8deb99ef7ba015164aa8232aa391b901dd7db03632412
DIST bison-3.0.5-patches-01.tar.xz 5192 BLAKE2B ee5bbd59569b484e62dbd820a9795fa6d89c79fed96aa0615ec3baa067ae1f0f7ea6eadccf94d20458fc18d5977e8eac4e50a1a5f41f51519d8ff9f58dc78ab4 SHA512 f5df3896a113b6ce4a361d61b0139ee2ed4e0bda4a46e6312ae2ded0c7a1b2d2b67b37545c0bcad806f9289954022ff446c00bc2384dfff4049afb53e4657ed5
DIST bison-3.0.5.tar.xz 1954868 BLAKE2B b6a8b426304f414c1b7601e75dcae8a63847b71361fba2538ad5cc52f3527fe464b066add670a236d5e1d2aff65bbe7a99c282ee3c72a0bfaa498d40e3a50398 SHA512 00b448db8abe91b07e32ff5273c6617bc1350d806f92073a9472f4c2f0de5d22c152795674171b74f2eb9eff8d36f8173b82dacb215601bb071ae39404d4a8a2
+DIST bison-3.1-patches-1.0.tar.xz 7268 BLAKE2B 9195c00be1706664762598926913cd8fc18a32a6ae6ae4ec58748d5e8fc4877f63258db51cbe3bf84f3345ea0fc7c27d2e1190632c529615d9e6922baef74915 SHA512 5569b7901b40ea01eb7bccdc1b090207bc1ea6c50d144b561b2725ae79f3bcd51e7ea4e8ea37b60ea50ff4882e82110a07986cba1d2397a0333e7e01ae466e79
+DIST bison-3.1.tar.xz 1990536 BLAKE2B 6223642f2934927ca118410e2655f7c677bb1d3d981875ca2224f5aa344a43efbbbea34e79dff94ea489853e505b1d7f5920f4d159d1464ce61d8956ca0401ad SHA512 2a8e217ffb55ed5b1fcc989377ac348a066e62b8a4b0b0da40c3c7202f3ea487b2aab6a704a10b48d2d17673be0e22f6ff1be91fc05c4e0a57969b42a59d0152
diff --git a/sys-devel/bison/bison-3.1.ebuild b/sys-devel/bison/bison-3.1.ebuild
new file mode 100644
index 00000000000..76808e66291
--- /dev/null
+++ b/sys-devel/bison/bison-3.1.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit flag-o-matic
+
+DESCRIPTION="A general-purpose (yacc-compatible) parser generator"
+HOMEPAGE="https://www.gnu.org/software/bison/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz
+ https://dev.gentoo.org/~whissi/dist/bison/${P}-patches-1.0.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples nls static test"
+
+RDEPEND=">=sys-devel/m4-1.4.16"
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ examples? ( dev-lang/perl )
+ nls? ( sys-devel/gettext )
+ test? ( dev-lang/perl )"
+
+DOCS=( AUTHORS ChangeLog-2012 NEWS README THANKS TODO ) # ChangeLog-1998 PACKAGING README-alpha README-release
+
+PATCHES=(
+ "${WORKDIR}"/patches/${P}-optional-perl.patch #538300
+ "${WORKDIR}"/patches/${P}-avoid_autoreconf.patch
+)
+
+src_prepare() {
+ # Record date to avoid 'config.status --recheck' & regen of 'tests/package.m4'
+ touch -r configure.ac old.configure.ac || die
+ touch -r configure old.configure || die
+
+ default
+
+ # Restore date after patching
+ touch -r old.configure.ac configure.ac || die
+ touch -r old.configure configure || die
+
+ # The makefiles make the man page depend on the configure script
+ # which we patched above. Touch it to prevent regeneration.
+ touch doc/bison.1 || die #548778 #538300#9
+
+ # Avoid regenerating the info page when the timezone is diff. #574492
+ sed -i '2iexport TZ=UTC' build-aux/mdate-sh || die
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ # We don't need perl unless we run tests.
+ use test || export ac_cv_path_PERL=true
+ local myeconfargs=(
+ --docdir='$(datarootdir)'/doc/${PF}
+ $(use_enable examples)
+ $(use_enable nls)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ # This one is installed by dev-util/yacc
+ mv "${ED%/}"/usr/bin/yacc{,.bison} || die
+ mv "${ED%/}"/usr/share/man/man1/yacc{,.bison}.1 || die
+
+ # We do not need liby.a
+ rm -r "${ED%/}"/usr/lib* || die
+
+ # Move to documentation directory and leave compressing for EAPI>=4
+ mv "${ED%/}"/usr/share/${PN}/README "${ED%/}"/usr/share/doc/${PF}/README.data
+}
+
+pkg_postinst() {
+ local f="${EROOT%/}/usr/bin/yacc"
+ if [[ ! -e ${f} ]] ; then
+ ln -s yacc.bison "${f}"
+ fi
+}
+
+pkg_postrm() {
+ # clean up the dead symlink when we get unmerged #377469
+ local f="${EROOT%/}/usr/bin/yacc"
+ if [[ -L ${f} && ! -e ${f} ]] ; then
+ rm -f "${f}"
+ fi
+}
next reply other threads:[~2018-08-31 2:10 UTC|newest]
Thread overview: 162+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-08-31 2:10 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-22 20:52 [gentoo-commits] repo/gentoo:master commit in: sys-devel/bison/ Sam James
2025-01-30 9:56 Arthur Zamarin
2025-01-30 9:56 Arthur Zamarin
2025-01-29 21:25 Sam James
2025-01-29 21:25 Sam James
2025-01-29 19:44 Sam James
2025-01-29 19:44 Sam James
2024-11-12 2:29 Sam James
2024-01-18 3:22 Sam James
2024-01-08 12:03 Sam James
2023-05-15 18:51 Ulrich Müller
2023-01-13 10:01 Sam James
2022-12-28 0:33 Sam James
2022-12-27 19:53 Sam James
2022-12-27 19:45 Sam James
2022-12-27 13:40 Sam James
2022-12-27 11:31 Sam James
2022-12-04 16:17 Andreas K. Hüttel
2022-12-04 11:46 Andreas K. Hüttel
2022-12-02 21:16 Sam James
2022-10-15 3:11 Sam James
2022-07-31 11:25 Sam James
2022-07-28 6:40 Sam James
2022-04-17 17:06 Sam James
2022-04-07 0:46 Sam James
2021-12-07 20:23 Sam James
2021-12-05 19:30 Arthur Zamarin
2021-12-05 18:39 Sam James
2021-12-05 18:31 Sam James
2021-12-05 4:00 Sam James
2021-09-25 18:11 Sam James
2021-09-12 23:19 Sam James
2021-09-12 0:35 Sam James
2021-05-22 17:25 David Seifert
2021-05-22 15:10 Sam James
2021-05-22 3:05 Sam James
2021-05-22 1:35 Sam James
2021-05-22 1:35 Sam James
2021-05-21 20:36 Sergei Trofimovich
2021-05-21 19:49 Sam James
2021-05-21 19:49 Sam James
2021-05-15 13:34 David Seifert
2021-03-09 14:38 Lars Wendler
2021-03-09 14:38 Lars Wendler
2021-01-24 11:50 Lars Wendler
2021-01-06 15:32 Fabian Groffen
2020-12-27 18:18 Fabian Groffen
2020-12-25 14:24 Thomas Deutschmann
2020-12-25 14:24 Thomas Deutschmann
2020-12-21 9:36 Sergei Trofimovich
2020-12-03 6:52 Sam James
2020-12-02 23:46 Sam James
2020-11-27 16:10 Agostino Sarubbo
2020-11-27 7:57 Agostino Sarubbo
2020-11-27 7:54 Agostino Sarubbo
2020-11-27 7:53 Agostino Sarubbo
2020-11-26 23:44 Thomas Deutschmann
2020-11-22 21:02 Lars Wendler
2020-11-21 16:09 Lars Wendler
2020-11-14 17:47 Lars Wendler
2020-11-14 17:47 Lars Wendler
2020-10-16 13:46 Lars Wendler
2020-09-19 20:06 Sergei Trofimovich
2020-09-07 20:51 Lars Wendler
2020-09-07 20:51 Lars Wendler
2020-09-06 14:31 Thomas Deutschmann
2020-09-05 17:58 Thomas Deutschmann
2020-08-31 21:52 Sam James
2020-08-31 21:52 Sam James
2020-08-31 21:52 Sam James
2020-08-31 21:52 Sam James
2020-08-31 21:35 Sam James
2020-08-31 21:24 Sam James
2020-08-31 21:00 Sam James
2020-08-31 20:44 Thomas Deutschmann
2020-08-29 14:48 Thomas Deutschmann
2020-08-03 13:05 Lars Wendler
2020-08-01 9:14 Sergei Trofimovich
2020-07-29 17:05 Sergei Trofimovich
2020-07-27 8:02 Lars Wendler
2020-07-27 8:02 Lars Wendler
2020-06-15 23:40 Lars Wendler
2020-06-15 23:40 Lars Wendler
2020-06-04 17:20 Lars Wendler
2020-06-04 17:20 Lars Wendler
2020-05-18 6:42 Lars Wendler
2020-05-18 6:42 Lars Wendler
2020-05-10 22:34 Lars Wendler
2020-05-09 0:42 Lars Wendler
2020-05-09 0:42 Lars Wendler
2020-04-05 11:49 Lars Wendler
2020-04-05 11:49 Lars Wendler
2020-03-08 12:35 Lars Wendler
2020-03-08 12:35 Lars Wendler
2020-02-14 7:52 Lars Wendler
2020-02-14 7:52 Lars Wendler
2020-01-19 21:20 Lars Wendler
2019-12-12 8:19 Lars Wendler
2019-12-12 8:19 Lars Wendler
2019-09-14 19:07 Thomas Deutschmann
2019-05-22 22:25 Lars Wendler
2019-05-22 22:25 Lars Wendler
2019-05-04 19:51 Andreas K. Hüttel
2019-02-04 9:18 Lars Wendler
2019-01-28 0:46 Lars Wendler
2019-01-27 11:47 Lars Wendler
2019-01-27 11:47 Lars Wendler
2018-12-25 13:26 Lars Wendler
2018-12-25 13:26 Lars Wendler
2018-12-20 13:38 Thomas Deutschmann
2018-12-04 17:14 Mikle Kolyada
2018-12-04 17:14 Mikle Kolyada
2018-11-28 16:05 Tobias Klausmann
2018-11-25 23:24 Mart Raudsepp
2018-11-22 0:47 Lars Wendler
2018-11-22 0:47 Lars Wendler
2018-11-18 16:01 Sergei Trofimovich
2018-11-18 10:52 Sergei Trofimovich
2018-11-18 10:41 Sergei Trofimovich
2018-11-18 10:38 Sergei Trofimovich
2018-11-18 9:22 Mikle Kolyada
2018-11-09 18:00 Mikle Kolyada
2018-11-09 10:09 Lars Wendler
2018-11-08 22:59 Sergei Trofimovich
2018-11-07 23:44 Thomas Deutschmann
2018-10-30 12:38 Lars Wendler
2018-10-30 12:38 Lars Wendler
2018-10-05 19:50 Mikle Kolyada
2018-10-04 8:40 Mikle Kolyada
2018-09-12 14:46 Thomas Deutschmann
2018-09-12 6:49 Matt Turner
2018-09-08 12:53 Mart Raudsepp
2018-09-04 18:18 Mikle Kolyada
2018-09-02 11:12 Sergei Trofimovich
2018-09-01 23:26 Sergei Trofimovich
2018-09-01 23:22 Sergei Trofimovich
2018-09-01 23:18 Sergei Trofimovich
2018-09-01 17:55 Thomas Deutschmann
2018-09-01 9:20 Sergei Trofimovich
2018-08-31 20:07 Thomas Deutschmann
2018-08-31 2:10 Thomas Deutschmann
2018-05-28 8:56 Lars Wendler
2018-02-18 18:24 Lars Wendler
2017-02-20 14:11 Michael Haubenwallner
2017-01-19 14:14 Mike Frysinger
2017-01-17 16:23 Lars Wendler
2016-11-28 9:38 Agostino Sarubbo
2016-11-28 9:35 Agostino Sarubbo
2016-02-23 20:26 Mike Frysinger
2016-02-20 14:25 Markus Meier
2016-02-14 11:59 Jeroen Roovers
2016-02-14 10:36 Jeroen Roovers
2016-02-13 16:46 Agostino Sarubbo
2016-02-13 9:59 Mike Frysinger
2016-02-13 6:44 Mike Frysinger
2016-01-11 4:07 Mike Frysinger
2016-01-11 4:07 Mike Frysinger
2016-01-11 4:07 Mike Frysinger
2015-12-25 8:29 Jeroen Roovers
2015-12-21 12:40 Agostino Sarubbo
2015-12-21 6:26 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1535681299.01342dcfcd34c8b03fb244258ed1a9c8cf055cfd.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox